FastByteOperations.ByteOperations (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.utils

## Interface FastByteOperations.ByteOperations

- All Known Implementing Classes:
    FastByteOperations.PureJavaOperations, FastByteOperations.UnsafeOperations
  Enclosing class:
    FastByteOperations

      public static interface FastByteOperations.ByteOperations

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(byte[] buffer1, int offset1, int length1, byte[] buffer2, int offset2, int length2)`
    `int` | `compare(java.nio.ByteBuffer buffer1, byte[] buffer2, int offset2, int length2)`
    `int` | `compare(java.nio.ByteBuffer buffer1, java.nio.ByteBuffer buffer2)`
    `void` | `copy(java.nio.ByteBuffer src, int srcPosition, byte[] trg, int trgPosition, int length)`
    `void` | `copy(java.nio.ByteBuffer src, int srcPosition, java.nio.ByteBuffer trg, int trgPosition, int length)`

- - ### Method Detail

    - #### compare

          int compare(byte[] buffer1,
                      int offset1,
                      int length1,
                      byte[] buffer2,
                      int offset2,
                      int length2)

    - #### compare

          int compare(java.nio.ByteBuffer buffer1,
                      byte[] buffer2,
                      int offset2,
                      int length2)

    - #### compare

          int compare(java.nio.ByteBuffer buffer1,
                      java.nio.ByteBuffer buffer2)

    - #### copy

          void copy(java.nio.ByteBuffer src,
                    int srcPosition,
                    byte[] trg,
                    int trgPosition,
                    int length)

    - #### copy

          void copy(java.nio.ByteBuffer src,
                    int srcPosition,
                    java.nio.ByteBuffer trg,
                    int trgPosition,
                    int length)

Copyright © 2018 The Apache Software Foundation